Skip to main content
GET
/
characters
/
{slug}
/
reviews
/api/v1/characters/{slug}/reviews
curl --request GET \
  --url https://api.venice.ai/api/v1/characters/{slug}/reviews \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "characterId": "2f460055-7595-4640-9cb6-c442c4c869b0",
      "createdAt": "2025-02-09T03:23:53.708Z",
      "id": "1e38fb78-043f-4ce2-b3bc-966089c25467",
      "isOwner": false,
      "locale": "en",
      "message": "Thoughtful, grounded, and surprisingly practical.",
      "rating": 5,
      "userAvatarUrl": "https://cdn.venice.ai/avatar.png",
      "username": "product_user_42"
    }
  ],
  "object": "list",
  "pagination": {
    "page": 1,
    "pageSize": 20,
    "total": 87,
    "totalPages": 5
  },
  "summary": {
    "averageRating": 4.7,
    "totalReviews": 87
  }
}

Experimental Endpoint

This is an experimental endpoint and may be subject to change.

What this returns

This endpoint returns paginated public reviews for a single character.
  • Use the slug path parameter to identify the character.
  • Use page and pageSize query parameters to paginate through reviews.
  • Pagination metadata is returned both in the response body and in the x-pagination-* response headers.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slug
string
required

Slug of the character whose reviews should be retrieved

Example:

"alan-watts"

Query Parameters

page
integer
default:1

Page number for pagination

Required range: x > 0
Example:

1

pageSize
integer
default:20

Number of reviews to return per page (max: 100)

Required range: 0 < x <= 100
Example:

20

Response

OK

data
object[]
required
object
enum<string>
required
Available options:
list
pagination
object
required
summary
object
required